def create_model(name, fields)
  field_names = []
  field_types = []
  fields.each do |field|
   field_names << "#{field.split(":")[0]}"
   field_types << "#{field.split(":")[1]}"
  end

  field_vars = []
  field_emails = []
  email_names_with_valid = []
  success_case = "if"
  field_names.each_with_index do |n, i|
    field_vars << "      @#{n} = @#{name}[:#{n}]"
	field_emails << "      valid_#{n} = @#{name}[:#{n}] =~ /\\A[\\w+\\-.]+@[a-z\\d\\-]+(\\.[a-z\\d\\-]+)*\\.[a-z]+\\z/i #0 if ok, nil if don't" if field_types[i] == "email_field"
	email_names_with_valid << "valid_#{n}" if field_types[i] == "email_field"
	success_case << " @#{name}[:#{n}].present?"
	success_case << " and" unless i == field_names.length - 1 
  end

  emai_format_cases = []
  email_names_with_valid.each do |e|
	success_case << " and #{e}"	

	emai_format_cases << "      elsif !@#{name}[:#{e.slice(6..-1)}].blank? and !#{e}"
	emai_format_cases << "         @msg = 'error_#{e.slice(6..-1)}_#{name}'"
	emai_format_cases << "         @valid = false"
  end

  write_model = "class #{name.capitalize}
  include ActiveModel::Model""

  attr_accessor :#{field_names.join(", :")}, :valid ,:msg

	def initialize(#{name}=nil)
		@#{name} = #{name}
		if @#{name}
#{field_vars.join("\n")}

#{field_emails.join("\n")}

			#{success_case}
				@msg = 'success_#{name}'
				@valid = true
#{emai_format_cases.join("\n")}
			else
				@msg = 'error_field_#{name}'
				@valid = false
			end
		end
	end
end"
  File.open("app/models/#{name}.rb", "w+") {|f| f.write(write_model) }
end
