def create_notice(name, fields, mailer)
  puts "*******************************************************************************************************"
  puts "   ---------------------------"
  puts "   | BAMBOOLAB CONTACT FORM  |"
  puts "   ---------------------------"
  puts ""
  puts "=> Add helper to controller where you want to use the form:"
  puts "   include #{name.capitalize}sHelper"
  puts "   before_action :#{name}_prepare_var"
  puts ""

  puts "=> Add this line to your config/routes file:"
  puts "   post 'send_#{name}', to: '#{name}s#send_#{name}'"
  puts ""

  puts "=> Because of the translations add this to your app/controllers/application_controller.rb: "
	puts "  def set_locale"
	puts "    I18n.locale = params[:locale] || I18n.default_locale"
	puts "  end"

  puts "=> Add this line to your views: "
  puts "    <%= render '#{name}s/form' %>"
  puts ""

	unless mailer == "nil" 
		puts "=> Add this code to you config/environments/development.rb and /production.rb with the right host :"
		puts "    config.action_mailer.raise_delivery_errors = false"
		puts "    config.action_mailer.default_url_options = { :host => 'yourhost.dev.bambooapp.eu' }"
		puts "    config.action_mailer.delivery_method = :smtp"
		puts "    config.action_mailer.smtp_settings = {"
		puts "      address: ENV['SMTP_SERVER'],"
		puts "      openssl_verify_mode: OpenSSL::SSL::VERIFY_NONE,"
		puts "      port: ENV['SMTP_PORT'].to_i,"
		puts "      domain: ENV['MAILER_DOMAIN'],"
		puts "      authentication: 'plain',"
		puts "      enable_starttls_auto: true,"
		puts "      user_name: ENV['SMTP_USER'],"
		puts "      password: ENV['SMTP_PWD']"
		puts "    }"
		puts ""

	  puts "=> And add your personal sendgrid information to config/environment.rb !"
	end

  puts "*******************************************************************************************************"
end
