def create_view(name, fields)
  field_divs = []
  field_js = []
  field_js_case = []
  fields.each do |field|
   field_divs << "      <div class='form__field'>"
   field_divs << "        <%= f.label :#{field.split(":")[0]}, '#{field.split(":")[0]}', :class => 'label' %>"

   if field.split(":")[1] == "text_area"
     field_divs << "      <%= f.#{field.split(":")[1]} :#{field.split(":")[0]}, autofocus: true, :class => 'input textarea', value: @placeholder['#{field.split(":")[0]}'] %>"
   else
     field_divs << "      <%= f.#{field.split(":")[1]} :#{field.split(":")[0]}, autofocus: true, :class => 'input', value: @placeholder['#{field.split(":")[0]}'] %>"
   end

   field_divs << "      </div>"

   field_js << "      var #{field.split(":")[0]} = '<%= @placeholder[\"#{field.split(":")[0]}\"] %>';"
   field_js_case <<	"      if (#{field.split(":")[0]}.length == 0) $('##{name}_#{field.split(":")[0]}').parent().addClass( 'form__field--error' );"
  end

  write_view = "
<%= form_for(@#{name}, :url => send_#{name}_path, html: {class: 'form form--contact'} ) do |f| %>
  <fieldset class='form__fieldset'>
    <legend class='legend'><%= t('title_#{name}') %></legend>
  </fieldset>

  <fieldset class='form__fieldset'>
    <% if flash[:notice] %>
     <p> <%= t(flash[:notice]) %> </p>
    <% end %>
  </fieldset>

  <fieldset class='form__fieldset'>
#{field_divs.join("\n")}
  </fieldset>

  <fieldset class='form__fieldset'>
    <%= f.submit t('send_btn_#{name}'), :class => 'btn btn--full right' %>
  </fieldset>

<% end %>
<script>
	$(function() {
		var val = '<%= flash[:val] %>';

		if (val.length>0) {
#{field_js.join("\n")}

#{field_js_case.join("\n")}
		}

	});
</script>"

  File.open("app/views/#{name}s/_form.html.erb", "w+") {|f| f.write( write_view ) }

end
